<?php
namespace Modules\Partners\Corporates\ContactPersons;

class View_Options extends \App\Mvc\View_Window_PaginatedListing_OptionsAbstract
{
	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_OptionsAbstract::populateDefinedOptions()
	 */
	public function populateDefinedOptions(\App\Mvc\View\Utils\RowOptions\Container\Simple $options)
	{
		$options

			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup\Insert::create("insert")
				->setDescription($this->lang['index']['options']['buttons']['insert'])
				->addParamFromJs('corporate[id]', "\$F('filters_corporate_')")
				->setDimensions(800, 570)
			)

			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup\Update::create("update")
				->setDescription($this->lang['index']['options']['buttons']['update'])
				->setDimensions(800, 570)
			)

			->append(\App\Mvc\View\Utils\RowOptions\Option\Delete::create("delete")
				->setDescription($this->lang['index']['options']['buttons']['delete'])
			)

			->append(\App\Mvc\View\Utils\RowOptions\Option\DeleteSelected::create("delete")
				->setDescription($this->lang['index']['options']['buttons']['delete'])
			)
		;

	}

}
